import request from '@/utils/request'

// 查询岗位设置2列表
export function listDeptPost(query) {
  return request({
    url: '/system/deptPost/list',
    method: 'get',
    params: query
  })
}

// 查询岗位设置2详细
export function getDeptPost(postId) {
  return request({
    url: '/system/deptPost/' + postId,
    method: 'get'
  })
}

// 新增岗位设置2
export function addDeptPost(data) {
  return request({
    url: '/system/deptPost',
    method: 'post',
    data: data
  })
}

// 修改岗位设置2
export function updateDeptPost(data) {
  return request({
    url: '/system/deptPost',
    method: 'put',
    data: data
  })
}

// 删除岗位设置2
export function delDeptPost(postId) {
  return request({
    url: '/system/deptPost/' + postId,
    method: 'delete'
  })
}

// 导出岗位设置2
export function exportDeptPost(query) {
  return request({
    url: '/system/deptPost/export',
    method: 'get',
    params: query
  })
}